# $Revision: 1.4 $, $Date: 2012/01/14 19:23:00 $
#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Getopt
%define	pnam	Long-Descriptive
Summary:	Getopt::Long::Descriptive - Getopt::Long with usage text
Summary(pl.UTF-8):	Getopt::Long::Descriptive - Getopt::Long z tekstem użycia
Name:		perl-Getopt-Long-Descriptive
Version:	0.090
Release:	1
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Getopt/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	cea2c5b0591ef24848f77b18ceef912a
URL:		http://search.cpan.org/dist/Getopt-Long-Descriptive/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-IO-stringy
BuildRequires:	perl-Params-Validate >= 0.74
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Convenient wrapper for Getopt::Long and program usage output

%description -l pl.UTF-8
Wygodne opakowanie Getopt::Long i wyjścia o użyciu programu

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%dir %{perl_vendorlib}/Getopt/Long
%{perl_vendorlib}/Getopt/Long/*.pm
%dir %{perl_vendorlib}/Getopt/Long/Descriptive
%{perl_vendorlib}/Getopt/Long/Descriptive/Opts.pm
%{perl_vendorlib}/Getopt/Long/Descriptive/Usage.pm
%{_mandir}/man3/*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Getopt-Long-Descriptive.spec,v $
Revision 1.4  2012/01/14 19:23:00  zbyniu
- up to 0.090

Revision 1.3  2009/09/14 09:15:34  amateja
- added missing %dir in %files section
- release 2

Revision 1.2  2009/08/27 07:45:36  amateja
- updated to 0.077

Revision 1.1  2009/06/23 06:20:04  amateja
- initial

